/* XzGhisler.c -- conversion of old to new Xz unpacker function calls
2018-09-23 : Christian Ghisler : Public domain */


#include "../7zCrc.h"
#include "../Lzma2Dec.h"
#include "../Xz.h"

int table_generated=0;

SRes XzUnpacker_Create(CXzUnpacker *p, ISzAllocPtr alloc)
{
  if (!table_generated) {
    CrcGenerateTable();
    table_generated=1;
  }
  XzUnpacker_Construct(p, alloc);
  return SZ_OK;
}

SRes XzUnpacker_Code2(CXzUnpacker *p, Byte *dest, SizeT *destLen,
    const Byte *src, SizeT *srcLen, int finishMode, ECoderStatus *status)
{
	int srcFinished = (finishMode == LZMA_FINISH_END)?1:0;
	return XzUnpacker_Code(p, dest, destLen, src, srcLen, srcFinished, finishMode, status);
}

